<div class="container mt-5 p-5">
    <div class="row align-items-center">
        <div class="col-lg-3 col-sm-12 logo">
            <img src="assets/images/image-login.png" />
        </div>

        <div class="col-lg-9 col-sm-12">
            <form class="login-form" [formGroup]="profileForm">
                <h2>User Login</h2>
                <mat-form-field appearance="outline">
                    <mat-label>Email</mat-label>
                    <mat-icon matPrefix>email</mat-icon>
                    <input matInput placeholder="Email" appearance="outline" formControlName="email" />
                    <mat-error *ngIf="this.profileForm.controls['email'].errors?.required">Email is required</mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Password</mat-label>
                    <mat-icon matPrefix>lock</mat-icon>
                    <input matInput placeholder="Password" type="password" formControlName="password" />
                    <mat-error *ngIf="this.profileForm.controls['password'].errors?.required">Password is required
                    </mat-error>
                    <mat-error
                        *ngIf="!this.profileForm.controls['password'].errors?.required && this.profileForm.controls['password'].errors?.minlength">
                        8 characters
                    </mat-error>
                </mat-form-field>
                <button class="btn btn-primary" (click)="onLoginClick();">Login</button>
            </form>
        </div>
    </div>
</div>